Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005265OCamlCamlp4public2011-05-13 21:402012-09-19 15:33
ReporterDmitry Grebeniuk 
Assigned Toxclerc 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.13.0+dev 
Target Version4.00.1+devFixed in Version 
Summary0005265: camlp4 + wrong location on warning
Description$ cd /tmp && echo -e '\nvalue f x = ();' > q.ml && echo ==== && cat q.ml && echo ==== && ocamlc -w A -pp camlp4r q.ml -o q.byte
====

value f x = ();
====
File "ghost-location", line 2, characters 8--1:
Warning 27: unused variable x.

The location is wrong (bad file name, bad "end offset").
This error exists in 3.12 too (reproduced with the same command line).
TagsNo tags attached.
Attached Files

- Relationships
related to 0005239resolvedhongboz Wrong stop location in AST 

-  Notes
(0008117)
doligez (administrator)
2012-09-19 15:33

This was fixed in 4.00.0.

- Issue History
Date Modified Username Field Change
2011-05-13 21:40 Dmitry Grebeniuk New Issue
2011-05-13 21:40 Dmitry Grebeniuk Status new => assigned
2011-05-13 21:40 Dmitry Grebeniuk Assigned To => ertai
2011-06-06 13:27 xclerc Relationship added related to 0005239
2011-10-26 08:32 ertai Assigned To ertai => xclerc
2012-07-10 15:12 doligez Target Version => 4.01.0+dev
2012-07-31 13:36 doligez Target Version 4.01.0+dev => 4.00.1+dev
2012-09-19 15:33 doligez Note Added: 0008117
2012-09-19 15:33 doligez Status assigned => closed
2012-09-19 15:33 doligez Resolution open => fixed


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker